## org.w3c.www.http
Interface HttpStreamObserver

public interface HttpStreamObserver

Method Summary
`void` `notifyClose(java.io.InputStream in)` The stream has been closed.
`void` `notifyEOF(java.io.InputStream in)` The end of the stream has been reached.
`void` `notifyFailure(java.io.InputStream in)` The stream doesn't support monitoring.

Method Detail

### notifyEOF

    public void notifyEOF(java.io.InputStream in)

  The end of the stream has been reached.
  Parameters:
    `in` - The stream that has reached enf od file.

### notifyClose

    public void notifyClose(java.io.InputStream in)

  The stream has been closed.
  Parameters:
    `in` - The stream that has been closed.

### notifyFailure

    public void notifyFailure(java.io.InputStream in)

  The stream doesn't support monitoring. This happens for HTTP connections that don't provide any infos about their length.
  Parameters:
    `in` - The stream on which an IO exception occured.